



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>关于R中的mode()和class()的区别</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">关于R中的mode()和class()的区别</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-23 02:50:36 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>本文原创，转载请注明出处，本人Q1273314690（交流学习）</div>
<div>说明：本文曾经在15年11月在CSDN发过，但是由于CSDN不支持为知笔记的发布为博客的API功能，所以，自今天起，转移到博客园（幸好原来的CSDN也就五六篇哈~）。</div>
<div>
<div>&nbsp;</div>
<div>
<div>###############################################</div>
<div>总结：</div>
<div>
<div>mode：表示对象在内存中的存储类型</div>
<div>基本数据类型'atomic' mode：</div>
<div>numeric（Integer/double）, complex, character和logical</div>
<div>递归的对象（recursive object）：</div>
<div>'list'&nbsp;或 'function'</div>
<div>&nbsp;</div>
<div>class：是一种抽象类型，或者理解为一种数据结构（数据框，因子，列表）</div>
<div>他主要是用来给泛型函数（参考java中泛型的概念）识别参数用。</div>
</div>
<div>所以当给函数传参数的时候如果发生错误，就查看class属性</div>
<div>class返回的是matrix，array，factor(还在Date)之类的数据结构类型</div>
<div>class(x)</div>
<div>&nbsp; （一）基本类型情况（参考java中的基本数据类型理解）</div>
<div>（1）当x是单个值，或者向量的时候，</div>
<div>返回的结果和mode一致，如numeric，character</div>
<div>&nbsp; （二）Object类型情况（参考java中引用数据类型情况理解）</div>
<div>（2）其他情况（矩阵，数组，日期，因子），</div>
<div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;class返回（matrix，array，Date，factor）</div>
<div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;mode返回（x中元素的类型&mdash;&mdash;在内存中的存储类型）</div>
<div>
<div>（3）当x是数据框的时候，class返回dataframe，mode返回list</div>
<div>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;当x是列表的时候，class和mode都返回list</div>
</div>
<div>&nbsp;（4）当x是列表的时候，class和mode都返回list</div>
<div>为何数据框和列表不再适用于第二条mode返回x中元素的类型了呢？</div>
<div>1因为数据框其实是列表的一种特殊情况</div>
<div>2list和dataframe中的数据类型可以不一致，所以没法返回一个类型代表多种元素类型</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div>########################################</div>
</div>
<div>在R中，他并不提供直接访问存储在内存中的数据的方法，而是提供特定的数据结构（我们将之称为对象）</div>
<div>&nbsp;</div>
<div>mode：表示对象在内存中的存储类型</div>
<div>基本数据类型'atomic' mode：&nbsp;</div>
<div>numeric（Integer/double）, complex, character和logical</div>
<div>递归的对象（recursive object）：</div>
<div>'list' 或 'function'&nbsp;</div>
<div>&nbsp;</div>
<div>class：是一种抽象类型，或者理解为一种数据结构</div>
<div>他主要是用来给泛型函数（参考java中泛型的概念）识别参数用。</div>
<div>如下例，你可以看到数据在内存中是列表的形式存储，却被包装成数据框来操作。（数据框其实是一种特殊的列表）</div>
<div>例子1</div>
<div>
<div>
<ol><li><code>d &lt;- data.frame(V1=c(1,2)) &nbsp;</code></li>
<li><code>class(d) &nbsp; &nbsp;#"data.frame"</code></li>
<li><code>mode(d) &nbsp; &nbsp; #"list"</code></li></ol>
</div>
<div>再看一个例子2</div>
</div>
<div>
<div>
<ol><li><code><strong>例子2.1</strong></code></li>
<li><code>&nbsp;</code></li>
<li><code>x1&lt;-c(1,2,3)</code></li>
<li><code>x2&lt;-c(2,3,4)</code></li>
<li><code>x3&lt;-c(3,4,5)</code></li>
<li><code>xmerge&lt;-data.frame(x1,x2,x3)</code></li>
<li><code>class(xmerge) &nbsp; #dataframe</code></li>
<li><code>mode(xmerge) &nbsp; #list</code></li></ol>
<div>
<div>
<ol><li><code><strong>&nbsp;</strong></code></li>
<li><code><strong>例子2.2</strong></code></li>
<li><code>&gt;class(xmerge[1,])</code></li>
<li><code>[1]"data.frame"</code></li>
<li><code>&gt; mode(xmerge[1,])</code></li>
<li><code>[1]"list"</code></li>
<li><code>&gt; xmerge[1,]</code></li>
<li><code> x1 x2 x3</code></li>
<li><code>1123</code></li></ol>
</div>
<div>
<ol><li><code><strong>&nbsp;</strong></code></li>
<li><strong>例子2.3</strong></li>
<li><code>&nbsp;</code></li>
<li><code>&gt; x1&lt;-c(2,6,3)</code></li>
<li><code>&gt; x2&lt;-c(3,7,4)</code></li>
<li><code>&gt; x3&lt;-c(9,4,5)</code></li>
<li><code>&gt; xmerge&lt;-data.frame(x1,x2,x3)</code></li>
<li><code>&gt;class(xmerge[,1])</code></li>
<li><code>[1]"numeric"</code></li>
<li><code>&gt; mode(xmerge[,1])</code></li>
<li><code>[1]"numeric"</code></li>
<li><code>&gt; xmerge[,1]</code></li>
<li><code>[1]263</code></li>
<li><code>&gt; xmerge</code></li>
<li><code> x1 x2 x3</code></li>
<li><code>1239</code></li>
<li><code>2674</code></li>
<li><code>3345</code></li></ol>
</div>
</div>
</div>
<div>从例子1得知，数据框的class是dataframe，而其mode是list，例子2.1加强了这个结论。</div>
</div>
<div>
<div>例子2.2 说明数据框的每一行class仍然是data.frame,而其mode是list，即每一行仍然是一个数据框。（因为每一行会含有不同的数据类型）</div>
<div>例子2.3说明数据框的每一列的class和mode都是numeric（因为列的数据类型相同，而且我们没有vector类型的说法）</div>
</div>
<div>&nbsp;</div>
<div>例子3.1</div>
<div>
<div>
<ol><li><code>x1 = array(rep(1,6),dim=c(2,3))</code></li>
<li><code>class(x1) &nbsp; &nbsp;#matrix</code></li>
<li><code>mode(x1) &nbsp; &nbsp; #numeric</code></li></ol>
</div>
</div>
<div>例子3.2</div>
<div>
<div>
<ol><li><code>x = array(rep("a",6),dim=c(2,3))#矩阵是数组的二维特殊情形</code></li>
<li><code>class(x) #matrix</code></li>
<li><code>mode(x) &nbsp;#character</code></li></ol>
</div>
<div>例子3.3</div>
</div>
<div>
<div>
<ol><li><code>x5 = array(rep("a",9),dim=c(3,3,3))</code></li>
<li><code>x5 &nbsp; &nbsp; &nbsp;</code></li>
<li><code>,,1</code></li>
<li><code>&nbsp; &nbsp; &nbsp;[,1][,2][,3]</code></li>
<li><code>[1,]"a" &nbsp;"a" &nbsp;"a"&nbsp;</code></li>
<li><code>[2,]"a" &nbsp;"a" &nbsp;"a"&nbsp;</code></li>
<li><code>[3,]"a" &nbsp;"a" &nbsp;"a"&nbsp;</code></li>
<li><code>,,2</code></li>
<li><code>&nbsp; &nbsp; &nbsp;[,1][,2][,3]</code></li>
<li><code>[1,]"a" &nbsp;"a" &nbsp;"a"&nbsp;</code></li>
<li><code>[2,]"a" &nbsp;"a" &nbsp;"a"&nbsp;</code></li>
<li><code>[3,]"a" &nbsp;"a" &nbsp;"a"&nbsp;</code></li>
<li><code>,,3</code></li>
<li><code>&nbsp; &nbsp; &nbsp;[,1][,2][,3]</code></li>
<li><code>[1,]"a" &nbsp;"a" &nbsp;"a"&nbsp;</code></li>
<li><code>[2,]"a" &nbsp;"a" &nbsp;"a"&nbsp;</code></li>
<li><code>[3,]"a" &nbsp;"a" &nbsp;"a" &nbsp; &nbsp; &nbsp; &nbsp;</code></li>
<li><code>class(x5) &nbsp;#"array" &nbsp; &nbsp; &nbsp; 数据结构是数组</code></li>
<li><code>mode(x5) &nbsp; #"character"</code></li>
<li><code>&nbsp;</code></li>
<li><code>x51&lt;-x5[,,1]</code></li>
<li><code>&nbsp;</code></li>
<li><code>class(x51)#"matrix"</code></li></ol>
</div>
<div>例子3.4</div>
</div>
<div>
<div>
<ol><li><code>gl(2,5) &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;#新建一个因子</code></li>
<li><code>class(gl(2,5)) &nbsp; &nbsp; #"factor" &nbsp; &nbsp;数据结构是因子</code></li>
<li><code>mode(gl(2,5)) &nbsp; &nbsp; &nbsp;#"numeric"</code></li></ol>
</div>
<div>
<div>而例子3.1-3.4 说明一个问题：</div>
<div>class返回的是matrix，array，factor之类的数据结构类型。（在class中的参数是一个向量或者单个值的时候，返回值和mode相同，不会返回vector，不过可以使用is.vector()返回值是T验证其确实是向量）</div>
<div>而mode返回的，是每一个元素的类型。</div>
<div>既然你说是每个元素的类型，那么为什么dataframe中mode返回的是list呢？</div>
<div>&nbsp;</div>
</div>
<div>&nbsp;</div>
<div>=============================================</div>
</div>
<div>例子4.1</div>
<div>
<div>
<ol><li><code>xl =list(fruit=c("apple","banana","pear"),</code></li>
<li><code>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; price=c(1,1,1.5),</code></li>
<li><code>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; market=c("newabest"))</code></li>
<li><code>class(xl) &nbsp; &nbsp;# "list" &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 数据结构是列表</code></li>
<li><code>mode(xl) &nbsp; &nbsp; # "list"</code></li>
<li><code>&nbsp;</code></li>
<li><code>#也就是说，；列表中的每一项都是列表</code></li>
<li><code>#class(xl$fruit) #"character"</code></li></ol>
</div>
<div>例子4.1说明，列表中class和mode都是list</div>
</div>
</div>
<div>但是class(xl$fruit) 得到的是"character"</div>
<div>&nbsp;</div>
<div>先说明下</div>
<div>1list[[index]] 得到的是元素（组件）</div>
<div>2list[index] &nbsp; 得到的是子列表 这点请见《R语言经典实例》P119-121</div>
<div>
<div>
<ol><li><code>&gt; jj&lt;-list(name=c("jos","xuan"),salary=55000,union=T)</code></li>
<li><code>&gt; jj[[1]]</code></li>
<li><code>[1]"jos""xuan"</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt;class(jj[[1]]) #mode返回值也是</code>character</li>
<li><code>[1]"character"</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt; jj[1]</code></li>
<li><code>$name</code></li>
<li><code>[1]"jos""xuan"</code></li>
<li><code>&gt;class(jj[1]) #mode返回值也是</code>list</li>
<li><code>[1]"list"</code></li>
<li><code>&nbsp;</code></li>
<li><code>&nbsp;</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt; jj[[2]]</code></li>
<li><code>&nbsp;</code></li>
<li><code>[1]55000</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt;class(jj[[2]])</code></li>
<li><code>[1]"numeric"</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt; jj[2]</code></li>
<li><code>&nbsp;</code></li>
<li><code>$salary</code></li>
<li><code>[1]55000</code></li>
<li><code>&gt;class(jj[2])</code></li>
<li><code>&nbsp;</code></li>
<li><code>[1]"list"</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt; jj[[1]][1]</code></li>
<li><code>&nbsp;</code></li>
<li><code>[1]"jos"</code></li>
<li><code>&gt;class(jj[[1]][1])</code></li>
<li><code>&nbsp;</code></li>
<li><code>[1]"character"</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt; mode(jj[[1]][1])</code></li>
<li><code>[1]"character"</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt; jj[[3]</code></li>
<li><code>&nbsp;</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt; jj[3]</code></li>
<li><code>&nbsp;</code></li>
<li><code>$union</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&gt;is.vector(jj[[1]])</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&gt;is.vector(jj[[2]])</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt;is.numeric(jj[[1]])</code></li>
<li><code>[1] FALSE</code></li>
<li><code>&gt;is.numeric(jj[[2]])</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt;is.vector(jj[[3]])</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&gt;is.list(jj[1])</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&nbsp;</code></li>
<li><code>&gt;is.vector(jj[1])</code></li>
<li><code>[1] TRUE</code></li></ol>
</div>
<div>因为s.vector(jj[1])返回值都是T，这个结果似乎，不是很令人信服</div>
<div>于是，搜索?is.vector()</div>
<div><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/917868/201603/917868-20160320140005084-1692699555.png" /></div>
<div><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/917868/201603/917868-20160320140005756-1258421050.png" /></div>
<div>查看帮助说明之后，我们知道了，原来默认的情况下是any，对于任意的原生类型和list以及表达式，都会返回T</div>
<div>例子5</div>
</div>
<div>&nbsp;</div>
<div>
<div>
<ol><li><code><strong>&nbsp;</strong></code></li>
<li><code><strong>例子5.1</strong></code></li>
<li><code>&gt; x &lt;- c(a =1, b =2)</code></li>
<li><code>&gt; x</code></li>
<li><code>a b </code></li>
<li><code>12</code></li>
<li><code>&gt;class(x)</code></li>
<li><code>[1]"numeric"</code></li>
<li><code>&gt;is.vector(x)</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&gt;is.vector(x,"double") &nbsp;</code></li>
<li><code> #默认是双精度的，要是整型，要加L</code></li>
<li><code>[1] TRUE</code></li>
<li><code>&gt;is.vector(x,"Integer")</code></li>
<li><code>[1] FALSE</code></li>
<li><code>&nbsp;</code></li>
<li><code><strong>例子5.2</strong></code></li>
<li><code>&gt;is.vector(jj[[1]],"list")</code></li>
<li><code>[1] FALSE</code></li>
<li><code>&gt;is.vector(jj[1],"list")</code></li>
<li><code>[1] TRUE</code></li></ol>
</div>
<div>说明，jj[1]实质上是一种list，而非向量</div>
</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div>
<div>再看?mode()这一句中帮助文档的写法</div>
<div>
<div>Description</div>
<div>Get or set the type or storage mode of an object.</div>
</div>
<div>
<div>value&nbsp;&nbsp;&nbsp;</div>
<div>a character string giving the desired mode or &lsquo;storage mode&rsquo; (type) of the object.</div>
</div>
<div>
<div>mode(x) &lt;- "newmode"（修改x的数据类型为新的类型newmode）</div>
<div>changes the mode of object x to newmode. This is only supported if there is an appropriate as.newmode function, for example "logical", "integer", "double", "complex", "raw", "character", "list", "expression", "name", "symbol" and "function". Attributes are preserved (but see below).</div>
</div>
</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div>&nbsp;</div>
<div><a href="http://www.wiz.cn/i/d8ca85c3" rel="external nofollow noreferrer">来自为知笔记(Wiz)</a></div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqvve3jq.html">Squirrel： 通用SQL、NoSQL客户端</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kvkk59.html">《Android深度探索HAL与驱动开发》第四章阅读心得</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rwexeq.html">Word 打包 zip 并提供下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x0g6m8.html">日志基本概念／rSyslog</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1nm0j9.html">【leetcode】Find Minimum in Rotated Sorted Array II  JAVA实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jze6zl8.html">php   Memcached</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gedjk78.html">iOS使用StroryBoard页面跳转及传值</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rg1r548.html">多线程异步编程示例和实践-Thread和ThreadPool</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpgw67q.html">【NOIP2014】子矩阵</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzgrol8.html">Linux指令--touch</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zw5v19.html">C&num;多线程编程（6）--线程安全2 互锁构造Interlocked</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlj0oox9.html">Linux学习之CentOS&lpar;十五&rpar;----磁盘管理之 启动挂载&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy116x9.html">makefile笔记1 - 初识makefile</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdkjw09.html">ReentrantLock 实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllj6yeq.html">python&lowbar;day15&lowbar;jquery</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2dw3x9.html">安卓Android基础第五天</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o130rpq.html">sql 不够七位数 在左侧自动补零 &comma;并循环插入N条记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4j3wkeq.html">linux&lowbar;vim编辑文件无法高亮显示解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7owwyk8.html">Linux内存管理1---内存寻址</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2v5y0q.html">Java通过BCrypt加密</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/m96gzry8.html">dotnet文件操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qxx4geq.html">Struts 2 Learning</a>
			</li>
						<li><a href="https://www.batexi.com/a/r93k6mwq.html">关于 htonl 和 ntohl 的实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rmmnr8.html">MATLAB自定义配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qyxxkm8.html">Windows&lowbar;7&lowbar;休眠按钮没有了&lowbar;如何找回？</a>
			</li>
						<li><a href="https://www.batexi.com/a/495y14mq.html">Django&lowbar;collections01</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8oo0158.html">python模块app登陆认证（M2Crypto数字证书加密）</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdl4o78.html">IP地址、子网掩码、网关、DNS的关系</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rmved8.html">C风格字符串与C&plus;&plus;风格字符串</a>
			</li>
						<li><a href="https://www.batexi.com/a/39rmejd8.html">js搜索输入关键词</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
